[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.FormEndUpdated

Called for each control on a form where the update count has reached 0 (zero).

## Declaration

Source position: controls.pp line 1506

`protected procedure TControl.FormEndUpdated; virtual;`

## Description

FormEndUpdated is overridden in descendent classes, like TWinControl, which provides a container for its child controls.

## See also

TWinControl.GetChildren |  | Calls the specified procedure for each child control with Root as the Owner.